Commit 9ddddb8c authored by Miguel de Icaza's avatar Miguel de Icaza

Up requirements

parent 13c1de54
2000-03-28 Miguel de Icaza <miguel@gnu.org>
* configure.in (GB_LIBS): Require Gtk 1.2.7 here too.
* gnumeric.spec.in (Requires): Updated the requirements for
Gnumeric here.
2000-03-26 Miguel de Icaza <miguel@gnu.org>
* src/dialogs/Makefile.am (glade_msgs): Added a new missing file.
......
2000-03-28 Miguel de Icaza <miguel@gnu.org>
* configure.in (GB_LIBS): Require Gtk 1.2.7 here too.
* gnumeric.spec.in (Requires): Updated the requirements for
Gnumeric here.
2000-03-26 Miguel de Icaza <miguel@gnu.org>
* src/dialogs/Makefile.am (glade_msgs): Added a new missing file.
......
2000-03-28 Miguel de Icaza <miguel@gnu.org>
* configure.in (GB_LIBS): Require Gtk 1.2.7 here too.
* gnumeric.spec.in (Requires): Updated the requirements for
Gnumeric here.
2000-03-26 Miguel de Icaza <miguel@gnu.org>
* src/dialogs/Makefile.am (glade_msgs): Added a new missing file.
......
2000-03-28 Miguel de Icaza <miguel@gnu.org>
* configure.in (GB_LIBS): Require Gtk 1.2.7 here too.
* gnumeric.spec.in (Requires): Updated the requirements for
Gnumeric here.
2000-03-26 Miguel de Icaza <miguel@gnu.org>
* src/dialogs/Makefile.am (glade_msgs): Added a new missing file.
......
2000-03-28 Miguel de Icaza <miguel@gnu.org>
* configure.in (GB_LIBS): Require Gtk 1.2.7 here too.
* gnumeric.spec.in (Requires): Updated the requirements for
Gnumeric here.
2000-03-26 Miguel de Icaza <miguel@gnu.org>
* src/dialogs/Makefile.am (glade_msgs): Added a new missing file.
......
2000-03-28 Miguel de Icaza <miguel@gnu.org>
* configure.in (GB_LIBS): Require Gtk 1.2.7 here too.
* gnumeric.spec.in (Requires): Updated the requirements for
Gnumeric here.
2000-03-26 Miguel de Icaza <miguel@gnu.org>
* src/dialogs/Makefile.am (glade_msgs): Added a new missing file.
......
2000-03-28 Miguel de Icaza <miguel@gnu.org>
* configure.in (GB_LIBS): Require Gtk 1.2.7 here too.
* gnumeric.spec.in (Requires): Updated the requirements for
Gnumeric here.
2000-03-26 Miguel de Icaza <miguel@gnu.org>
* src/dialogs/Makefile.am (glade_msgs): Added a new missing file.
......
AC_INIT(src/gnumeric.h)
AM_CONFIG_HEADER(config.h)
AM_INIT_AUTOMAKE(gnumeric,0.50)
AM_INIT_AUTOMAKE(gnumeric,0.51)
AM_MAINTAINER_MODE
AM_ACLOCAL_INCLUDE(macros)
......@@ -275,14 +275,14 @@ fi
dnl ******************************
dnl gtk+ checking
dnl ******************************
AC_MSG_CHECKING(for GTK >= 1.2.2)
AC_MSG_CHECKING(for GTK >= 1.2.7)
if gtk-config --version > /dev/null 2>&1; then
dnl We need the "%d" in order not to get e-notation on hpux.
vers=`gtk-config --version | awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
if test "$vers" -ge 1002002; then
if test "$vers" -ge 1002007; then
AC_MSG_RESULT(found)
else
AC_MSG_ERROR(You need at least GTK+ 1.2.2 for this version of Gnumeric)
AC_MSG_ERROR(You need at least GTK+ 1.2.7 for this version of Gnumeric)
fi
else
AC_MSG_ERROR(Did not find GTK+ installed)
......
......@@ -14,9 +14,9 @@ Url: http://www.gnome.org/gnumeric
BuildRoot: /var/tmp/gnumeric-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc
Requires: gtk+ >= 1.2.2
Requires: gnome-libs >= 1.0.56
Requires: gnome-print >= 0.12
Requires: gtk+ >= 1.2.7
Requires: gnome-libs >= 1.0.57
Requires: gnome-print >= 0.16
Requires: libglade >= 0.11
Requires: libxml >= 1.8.5
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment